Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687023 - [RFE] Description field for incremental content view should be compact
Summary: [RFE] Description field for incremental content view should be compact
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.3.2
Hardware: All
OS: All
urgent
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 21:41 UTC by Bryan Kearney
Modified: 2019-03-08 21:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1610478
Environment:
Last Closed: 2019-03-08 21:46:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bryan Kearney 2019-03-08 21:41:00 UTC
+++ This bug was initially created as a clone of Bug #1610478 +++

Created attachment 1471888 [details]
Incremental content view screenshot

Description of problem:
Incremental content view populates the description field with the included errata and affected packages as per the following RFE.
https://bugzilla.redhat.com/show_bug.cgi?id=1366819

However, the display of this information consumes a lot of space on the page and it needs reformating by adding some option to expand the complete text or something similar.

Attached the screenshot for reference.

Version-Release number of selected component (if applicable):
- Red Hat Satellite 6


Steps to Reproduce:
1. Sync the repositories
2. Apply the errata from UI -> Content -> Errata -> Select the hosts
3. It will create a new incremental content view and errata will be applied
4. Now check the UI -> Content -> Content Views -> Check the description field.


Actual results:
Description field looks irregular & not correctly formatted

Expected results:
The description field should have any expand button in case of large text or information in it.

--- Additional comment from  on 2018-08-06T11:02:14Z 

Hi Rox,

Does UX or patternfly have a recommendation for how to handle table cells like the one in the example provided?

In past, we'd use something like ellipsis to truncate the content and user would see full details on hover.

--- Additional comment from  on 2018-09-20T17:53:28Z 

Brad -- We have been looking at tables that have expansion options, but in this case I feel these high level tables description would be best truncated with full details on hover (this is what we usually do in the application). Additionally the full list of details is available when one dives deeper into the content.


Note You need to log in before you can comment on or make changes to this bug.